# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CameraModelD3 Class Reference

`#include <StepVisual_CameraModelD3.hxx>`

Inheritance diagram for StepVisual_CameraModelD3:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_CameraModelD3 ()
| Returns a CameraModelD3 .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aViewReferenceSystem, const Handle(StepVisual_ViewVolume)&aPerspectiveOfVolume)
Standard_EXPORT void | SetViewReferenceSystem (const Handle(StepGeom_Axis2Placement3d)&aViewReferenceSystem)
Standard_EXPORT Handle_StepGeom_Axis2Placement3d | ViewReferenceSystem () const
Standard_EXPORT void | SetPerspectiveOfVolume (const Handle(StepVisual_ViewVolume)&aPerspectiveOfVolume)
Standard_EXPORT Handle_StepVisual_ViewVolume | PerspectiveOfVolume () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Axis2Placement3d | viewReferenceSystem
Handle_StepVisual_ViewVolume | perspectiveOfVolume

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CameraModelD3::StepVisual_CameraModelD3 | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_CameraModelD3::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_CameraModel.

virtual Standard_EXPORT void StepVisual_CameraModelD3::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aViewReferenceSystem,
|  | const Handle(StepVisual_ViewVolume)& | aPerspectiveOfVolume
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_CameraModelD3::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepVisual_ViewVolume StepVisual_CameraModelD3::PerspectiveOfVolume | ( |  | ) | const

Standard_EXPORT void StepVisual_CameraModelD3::SetPerspectiveOfVolume | ( | const Handle(StepVisual_ViewVolume)& | aPerspectiveOfVolume | ) |

Standard_EXPORT void StepVisual_CameraModelD3::SetViewReferenceSystem | ( | const Handle(StepGeom_Axis2Placement3d)& | aViewReferenceSystem | ) |

Standard_EXPORT Handle_StepGeom_Axis2Placement3d StepVisual_CameraModelD3::ViewReferenceSystem | ( |  | ) | const

## Field Documentation

Handle_StepVisual_ViewVolume StepVisual_CameraModelD3::perspectiveOfVolume `[private]`

Handle_StepGeom_Axis2Placement3d StepVisual_CameraModelD3::viewReferenceSystem `[private]`

The documentation for this class was generated from the following file:

- StepVisual_CameraModelD3.hxx